Name:           linphone-plugin-msx264
Version:        1.4.3
Release:        %mkrel 2
Summary:        Linphone plugin adding support for x264 codec

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.linphone.org/eng/documentation/dev/mediastreamer2.html
Source0:        http://download.savannah.gnu.org/releases/linphone/plugins/sources/msx264-%{version}.tar.xz
BuildRequires:  liblinphone-devel
BuildRequires:  x264-devel
Requires: linphone

%description
Linphone plugin to bring video H264 encoding/decoding capabilities to Linphone application.


%prep
%setup -q -n msx264-%{version}


%build
./autogen.sh
%configure2_5x --disable-static

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/mediastreamer/plugins/libmsx264.so*


%changelog
* Thu Apr 16 2015 bb <bb> 1.4.3-2pclos2015
- rebuild against updated linphone

* Sun Apr 20 2014 Ken <lxgator at gmail.com> 1.4.3-1pclos2014
- 1.4.3

* Fri May 24 2013 Ken <lxgator at gmail.com> 1.4.2-1pclos2013
- first pkg
